Commit 54578a55 authored by Alessandro Portale's avatar Alessandro Portale

QtSupport: Add Qt 5.8 specific versions to the feature system

Qt.Quick 2.8
QtQuick.Controls 2.1

This enables wizards which require Qt 5.8+ specific Qt versions to show
the Qt 5.8+ kits in the kit selection page.

Change-Id: If46090bd240106c197c67f9c2b1908d89c608881
Reviewed-by: Eike Ziller's avatarEike Ziller <eike.ziller@qt.io>
Reviewed-by: Michal Klocek's avatarMichal Klocek <michal.klocek@qt.io>
parent 3ceb4c5c
......@@ -471,6 +471,12 @@ QSet<Id> BaseQtVersion::availableFeatures() const
if (qtVersion().matches(5, 7))
return features;
features.unite(versionedIds(Constants::FEATURE_QT_QUICK_PREFIX, 2, 8));
features.unite(versionedIds(Constants::FEATURE_QT_QUICK_CONTROLS_2_PREFIX, 2, 1));
if (qtVersion().matches(5, 8))
return features;
return features;
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment